Subject: Re: Improvements in Grep (Bug#32073)

From: Jim Meyering <[email-masked]>
Date: Wed, 1 Jan 2020 17:28:17 -0800

On Wed, Jan 1, 2020 at 5:04 PM Sergiu Hlihor <[email-masked]> wrote:
> The system for which this hurts me the most is an Ubuntu 14.04 where I'd need to run it as a separate binary. As I'm not familiar with the way it's built, is there any guidelines of how to build it from sources? I'd happy build it with ever larger block sizes and test.

Something like the following should work: (if you want to be more
careful than most, also download the .sig file,
https://meyering.net/grep/grep-3.3.49-3f11.tar.xz.sig, and use that to
verify the .xz file is the same one I signed -- do that before running
./configure)

wget https://meyering.net/grep/grep-3.3.49-3f11.tar.xz
xz -dc grep-3.3.49-3f11.tar.xz|tar xf -
cd grep-3.3.49-3f11
./configure && make